1. GateGuy

    OP GateGuy Member
    Newcomer

    Joined:
    Nov 14, 2019
    Messages:
    20
    Country:
    United States
    I'm trying to update my Wii to 4.3 for Priiloader 0.9, but it won't update. Specifically, I went through an online system update (it took a few minutes, so I assume it was actually doing something), then after the update "successfully" completed, my Wii was still at 4.1. Trying to update online again gives a message saying I already have the latest update, even though both the system menu and SysCheck say I have 4.1. I also can't update via disc; I probably installed a mod years ago (not Priiloader) that blocks disc updates, and I don't even remember what the mod was, let alone how to undo it.

    Any ideas?
     
  2. godreborn

    godreborn Retired
    Member

    Joined:
    Oct 10, 2009
    Messages:
    11,982
    Country:
    United States
    can you still update? I dunno. I know the wii eshop closed in January 2019. that's all I really know about it. my knowledge of the wii has disappeared, but I'm on 4.1 as well.
     
  3. The Real Jdbye

    The Real Jdbye Always Remember 30/07/08
    Member

    Joined:
    Mar 17, 2010
    Messages:
    19,953
    Country:
    Norway
    As far as I can tell, Priiloader 0.9 doesn't require 4.3, so there is no real reason to update since all 4.2 and 4.3 added were more (bad) attempts at blocking exploits and removing installed HBC/cIOS
     
    jeannotte and XFlak like this.
  4. GateGuy

    OP GateGuy Member
    Newcomer

    Joined:
    Nov 14, 2019
    Messages:
    20
    Country:
    United States
    Yes, it does. Trying to load 0.9 gives me an error saying I have an incompatible firmware, then kicks me out.
     
  5. XFlak

    XFlak Wiitired but still kicking
    Member

    Joined:
    Sep 12, 2009
    Messages:
    10,593
    Country:
    Canada
    You might have start patch hacks in place (see https://sites.google.com/site/completesg/system-hacks/Start patch), it was what was generally used AGES ago before priiloader was widely adopted.

    I'm assuming this isn't a vWii right?

    Priiloader definitely doesn't need 4.3, if it's saying the firmware is incompatible it may be falsely detecting the console as vWii? I'm not entirely sure. I mean u can update to 4.3 using modmii if u wanted but I don't think it will change anything.

    I suggest you post a Syscheck, and perhaps share this in the official priiloader 0.9 thread so that it's certain to be seen by the priiloader dev Daco
     
    jeannotte and alexander1970 like this.
  6. GateGuy

    OP GateGuy Member
    Newcomer

    Joined:
    Nov 14, 2019
    Messages:
    20
    Country:
    United States
    Now that you mention it, I'm almost certain I originally used StartPatch. I tried running StartPatch 4.1 and 4.3 just now; 4.1 immediately crashes, and 4.3 gives an error and crashes after selecting the IOS. The SysCheck says I'm on 4.1, but maybe there's something else interesting in there? I'd like to actually update to 4.3 if possible since I also want to move my NAND over to Dolphin.

    For full disclosure, the error given by Priiloader is:
    "System Menu version invalid or not vanilla (v54449 / 0xD4B1)"

    (and no, it's not vWii)
     

    Attached Files:

  7. GateGuy

    OP GateGuy Member
    Newcomer

    Joined:
    Nov 14, 2019
    Messages:
    20
    Country:
    United States
    Alright, I tried doing a few things in MultiModManager:

    First, I tried installing 4.3U through MMM’s online updater, which failed with “ERROR ES_AddTitleStart (-1035)”.
    Then, I tried installing the WADs for the update manually. They all succeeded except for IOS36-64-v3608.wad, which failed with error “Title (-1035)”.
    I went through the process to Install & Patch IOS36 (per the recommendation on the boot2 info screen), which supposedly succeeded, but there was no noticeable change.

    Before and after all of these steps, “Display Wii System Info” shows the the system menu as “v(null) on IOS60”. So it looks like something is probably broken with my system menu, but I don’t know what.
     
  8. Ryccardo

    Ryccardo watching Thames TV from London
    Member

    Joined:
    Feb 13, 2015
    Messages:
    7,259
    Country:
    Italy
    Based on your syscheck I would select IOS246 in your wad manager, then uninstall IOS80 and replace it with the "IOS80" (actually based on 60) you can download via Modmii - that will be a risk-free (for now that you're not on 4.3) check for whether you can cleanly remove and install titles

    (while you're there you might want to do the same for IOS249, which should be a d2x v8 base 57 CIOS and will be useful as a general purpose CIOS afterwards)

    I would also suggest to update to the latest HBC and switch to a modern wad manager like "Some Yawmm Mod", which will use your clean IOS58 directly while still getting the advantages of CIOS
     
    XFlak and jeannotte like this.
  9. jeannotte

    jeannotte GBAtemp Addict
    Member

    Joined:
    Jun 15, 2016
    Messages:
    2,460
    Country:
    France
    Hello,

    Wouldn't that be the IOS 236 you meant ??
     
  10. Ryccardo

    Ryccardo watching Thames TV from London
    Member

    Joined:
    Feb 13, 2015
    Messages:
    7,259
    Country:
    Italy
    No, if you look at the syscheck some posts above you can see... some very weird selection of system titles, including a lot of d2x variants on 244-245-246-etc, but no 249-250 (probably replaced by stubs in an official update)

    I don't know what exactly he did, though (don't remember anything actually recommending a hacked wii menu with changed version, though nus downloader can make one iirc)
     
  11. GateGuy

    OP GateGuy Member
    Newcomer

    Joined:
    Nov 14, 2019
    Messages:
    20
    Country:
    United States
    Which IOS80 would that be?
    - IOS80v6944 (Non-Fakesigned IOS/MIOS)
    - IOS80(IOS60P) (Fakesigned IOS; I'm guessing this one?)
    - IOS80-Patched (Fakesigned IOS)
    - 0e.app IOS80v6943 (SNEEK Files)
    - 01.app IOS80v6943 (SNEEK Files)

    Me neither, to be honest. I've had this Wii for about a decade, so most of the hacks would have been installed 5+ years ago. I recently "re-hacked" it with ModMii to update anything that was outdated, and I attempted an official update yesterday (before the SysCheck), so something probably got mixed up in all that.
     
    Last edited by GateGuy, Sep 21, 2020
  12. Ryccardo

    Ryccardo watching Thames TV from London
    Member

    Joined:
    Feb 13, 2015
    Messages:
    7,259
    Country:
    Italy
    Yep, IOS60P
     
  13. GateGuy

    OP GateGuy Member
    Newcomer

    Joined:
    Nov 14, 2019
    Messages:
    20
    Country:
    United States
    I installed IOS80 and IOS249 as described, both using IOS246 in MMM, though all the problems still persist. Here's the new sysCheck in case it has anything interesting.

    EDIT: I also just updated the HBC in case that's relevant.
     

    Attached Files:

    Last edited by GateGuy, Sep 21, 2020
  14. Ryccardo

    Ryccardo watching Thames TV from London
    Member

    Joined:
    Feb 13, 2015
    Messages:
    7,259
    Country:
    Italy
    Yeah, no IOS is useful until something uses it* :)
    You should be able to uninstall and reinstall Wii Menu 4.3U (which uses IOS80) in the same way you just did those titles!

    For informed consent you should know that if it fails (like accidentally exiting between those 2 steps) you will brick, same if the installation fails and you have no way to supply another wad to the console (not sure if you can hotswap the SD in MMM); however if it goes right (and I'm not aware of any other plausible failure modes) you will end up with a working, clean 4.3U "system"* on which you'll most likely be able to install Priiloader (and afterwards you will be able to "fix: your other IOSes) :)

    * strictly speaking 4.3, etc only refer to the Wii Menu, and you just installed its required IOS and are about to install the wii menu itself - remember the Wii only ever runs 1 title and 1 IOS at any time
     
    Last edited by Ryccardo, Sep 21, 2020
  15. GateGuy

    OP GateGuy Member
    Newcomer

    Joined:
    Nov 14, 2019
    Messages:
    20
    Country:
    United States
    That did it! Well, I tried installing 4.3 manually and it didn't change anything (maybe I was missing some WADs?), but MMM's online updater successfully updated me to 4.3. The system menu version doesn't show up as null anymore and Priiloader 0.9 is installed and working! Thanks for your help :)

    Also I've always heard about IOSes (or at least the important ones) but never knew exactly what they did, so that explanation was also useful.
     
    banjo2 and Ryccardo like this.
  16. Ryccardo

    Ryccardo watching Thames TV from London
    Member

    Joined:
    Feb 13, 2015
    Messages:
    7,259
    Country:
    Italy
    Great!
    On a second look at your syscheck, there's nothing really wrong with it (the patched IOSes are mostly modmii's downgrade brick prevention strategy, and a patched IOS36 which is useful for older system tool homebrews although you shouldn't use them anymore unless you know better) - just install what modmii calls 25056 to complete your IOS setup :)
    (249 is for historical reasons the default CIOS, and 250 the second choice, although modern usb loaders will let you semi-freely choose any number)

    You might also want to get the newest HBC 1.1.3 (https://gbatemp.net/threads/v-wii-homebrew-channel-open-sourced.450288/page-4#post-6871034), or the last official 1.1.2 (download and run the hackmii installer or use the HBC's online update)
     
Draft saved Draft deleted
Loading...

Hide similar threads Similar threads with keywords - available, updates), update